Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class MethodInvocationSuccessfulResult

    java.lang.Object
      org.apache.tapestry5.internal.services.MethodInvocationSuccessfulResult

All Implemented Interfaces:
  MethodInvocationResult

    public class MethodInvocationSuccessfulResult

extends java.lang.Object
implements MethodInvocationResult

Implementation of `MethodInvocationResult` for successful method invocations.

Since:
  5.2.0

Constructor Summary
`MethodInvocationSuccessfulResult(java.lang.Object returnValue)`

Method Summary
`java.lang.Object` | `getReturnValue()` The return value from the method invocation.
`
`<T extends java.lang.Throwable> T`
` | `getThrown(java.lang.Class<T> throwableClass)` If `MethodInvocationResult.isFail()` is true, this method provides access to the actual checked exception that was thrown.
`boolean` | `isFail()` If true, then the method invocation ended with a checked exception being thrown.
`void` | `rethrow()` If the invocation threw a checked exception, this method will wrap that exception in a RuntimeException and throw that.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInvocationSuccessfulResult

    public MethodInvocationSuccessfulResult(java.lang.Object returnValue)

Method Detail

### getReturnValue

    public java.lang.Object getReturnValue()

  Description copied from interface: `MethodInvocationResult`
  The return value from the method invocation. This will be null if the method returns null, is a void method, or if a checked exception was thrown by the method.

  Specified by:
    `getReturnValue` in interface `MethodInvocationResult`

### getThrown

    public <T extends java.lang.Throwable> T getThrown(java.lang.Class<T> throwableClass)

  Description copied from interface: `MethodInvocationResult`
  If `MethodInvocationResult.isFail()` is true, this method provides access to the actual checked exception that was thrown.

  Specified by:
    `getThrown` in interface `MethodInvocationResult`
  Parameters:
    `throwableClass` - the type of exception to match
  Returns:
    the exception, if the method invocation threw a checked exception, and the exception is assignable to the provided type. In other cases, null is returned.

### isFail

    public boolean isFail()

  Description copied from interface: `MethodInvocationResult`
  If true, then the method invocation ended with a checked exception being thrown.

  Specified by:
    `isFail` in interface `MethodInvocationResult`

### rethrow

    public void rethrow()

  Description copied from interface: `MethodInvocationResult`
  If the invocation threw a checked exception, this method will wrap that exception in a RuntimeException and throw that. For most code that doesn't specifically care about the thrown exception, this method should be invoked before continuing on to examine `MethodInvocationResult.getReturnValue()`.

  Specified by:
    `rethrow` in interface `MethodInvocationResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.